Package org.eclipse.graphiti.func

## Interface ICreateInfo

All Known Subinterfaces:
  `IConnectionPattern`, `ICreate`, `ICreateConnection`, `ICreateConnectionFeature`, `ICreateFeature`, `IPattern`

All Known Implementing Classes:
  `AbstractConnectionPattern`, `AbstractCreateConnectionFeature`, `AbstractCreateFeature`, `AbstractPattern`, `CreateConnectionFeatureForPattern`, `CreateFeatureForPattern`, `IdPattern`, `TypedPattern`

    public interface ICreateInfo

The Interface ICreateInfo.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getCreateDescription()` Gets the create description.
`java.lang.String` `getCreateImageId()` Gets the create image id.
`java.lang.String` `getCreateLargeImageId()` Gets the create large image id.
`java.lang.String` `getCreateName()` Gets the create name.

### Method Detail

#### getCreateName

    java.lang.String getCreateName()

Gets the create name.

Returns:
  name for UI representation

#### getCreateDescription

    java.lang.String getCreateDescription()

Gets the create description.

Returns:
  description for UI representation

#### getCreateImageId

    java.lang.String getCreateImageId()

Gets the create image id.

Returns:
  image for UI representation

#### getCreateLargeImageId

    java.lang.String getCreateLargeImageId()

Gets the create large image id.

Returns:
  large image for UI representation